Crear un POI (lugar)
curl --request POST \
--url https://api.ugps.io/api/places \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"label": "Bodega central",
"location": {
"lat": -33.4489,
"lng": -70.6693,
"radius": 150,
"address": "<string>"
},
"description": "<string>",
"iconId": 3
}
'import requests
url = "https://api.ugps.io/api/places"
payload = {
"label": "Bodega central",
"location": {
"lat": -33.4489,
"lng": -70.6693,
"radius": 150,
"address": "<string>"
},
"description": "<string>",
"iconId": 3
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
label: 'Bodega central',
location: {lat: -33.4489, lng: -70.6693, radius: 150, address: '<string>'},
description: '<string>',
iconId: 3
})
};
fetch('https://api.ugps.io/api/places', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"data": {
"_id": "686848c8083287f50c1bbe6c",
"clientId": "686848c8083287f50c1bbe6c",
"label": "Bodega central",
"description": "<string>",
"iconId": 3,
"location": {
"lat": -33.4489,
"lng": -70.6693,
"address": "<string>",
"radius": 150
},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}{
"error": "El email es requerido"
}{
"error": "Token inválido o expirado"
}{
"error": "No tiene permisos para realizar esta acción"
}{
"message": "Error interno del servidor"
}Otros - Lugares
Crear un POI (lugar)
Crea un punto de interés (POI) para el cliente autenticado.
Permisos requeridos: access_locations
El clientId se toma del token; no se envía en el body.
POST
/
api
/
places
Crear un POI (lugar)
Authorizations
bearerAuthcookieAuth
Token de sesión Better Auth o API token (atk_...) en el header Authorization: Bearer <token>. Los JWT legacy ya no son válidos.
Body
application/json
⌘I